#-------------------------------------------------
#
# Project created by QtCreator 2017-11-20T16:43:33
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = boost_ip
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        mainwindow.cpp

HEADERS += \
        mainwindow.h

FORMS += \
        mainwindow.ui

INCLUDEPATH += $$quote(G:/QBITTORRENT/install_mingw/base/include)
INCLUDEPATH += $$quote(G:/QBITTORRENT/install_mingw/base/include/boost-1_64)
INCLUDEPATH += $$quote(G:/QBITTORRENT/install_mingw/qt5/include)
# Point these to the lib folders
LIBS += $$quote(-LG:/QBITTORRENT/install_mingw/base/lib)
LIBS += $$quote(-LG:/QBITTORRENT/install_mingw/base/lib/boost-1_64)
LIBS += $$quote(-LG:/QBITTORRENT/install_mingw/qt5/lib)

LIBS += libtorrent libboost_system-mgw71-mt-s-1_64 libadvapi32 libshell32 libuser32 libole32 libwsock32 libws2_32 libpowrprof libcrypto libssl libz

DEFINES += NTDDI_VERSION=0x05010000
DEFINES += _WIN32_WINNT=0x0501
DEFINES += _WIN32_IE=0x0501

# Disable to use Boost auto-linking
DEFINES += BOOST_ALL_NO_LIB
# Use one of the following options
DEFINES += BOOST_SYSTEM_STATIC_LINK

DEFINES += BOOST_ASIO_HASH_MAP_BUCKETS=1021
# After 1.55 some Windows users reported regular UI freezes.
# This makes ASIO use the pre-1.56 way of doing things. See issue #2003
DEFINES += BOOST_ASIO_DISABLE_CONNECTEX
DEFINES += BOOST_EXCEPTION_DISABLE

DEFINES += TORRENT_USE_OPENSSL
DEFINES += TORRENT_DISABLE_GEO_IP
DEFINES += TORRENT_DISABLE_RESOLVE_COUNTRIES

DEFINES += UNICODE
DEFINES += _UNICODE
DEFINES += WIN32
DEFINES += _WIN32
DEFINES += WIN32_LEAN_AND_MEAN
DEFINES += _CRT_SECURE_NO_DEPRECATE
DEFINES += _SCL_SECURE_NO_DEPRECATE
DEFINES += __USE_W32_SOCKETS
DEFINES += _FILE_OFFSET_BITS=64
DEFINES += NOMINMAX
DEFINES += NDEBUG
